summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-python/webhelpers
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-python/webhelpers')
-rw-r--r--dev-python/webhelpers/Manifest1
-rw-r--r--dev-python/webhelpers/files/mime9ad434b.patch14
-rw-r--r--dev-python/webhelpers/metadata.xml8
-rw-r--r--dev-python/webhelpers/webhelpers-1.3-r1.ebuild61
4 files changed, 84 insertions, 0 deletions
diff --git a/dev-python/webhelpers/Manifest b/dev-python/webhelpers/Manifest
new file mode 100644
index 00000000000..70d41d31b93
--- /dev/null
+++ b/dev-python/webhelpers/Manifest
@@ -0,0 +1 @@
+DIST WebHelpers-1.3.tar.gz 729963 SHA256 ea86f284e929366b77424ba9a89341f43ae8dee3cbeb8702f73bcf86058aa583 SHA512 ff1f19c5b878bdcb05664523d16fce1abb012957f00a97c06b3b5db581c6a361a2db5516b47a0e2b107bc9ba73270ccb323afb240cc67a34d6f15ce9462fad77 WHIRLPOOL dfc67dd1c8ac955bf9cc7584db9b629a3d7525a98e8f75e2f8fe5042c5d2cd2d5f70f694ce69aba8eaa87571ead558ef31501768b1515e0af931a6c9c145437f
diff --git a/dev-python/webhelpers/files/mime9ad434b.patch b/dev-python/webhelpers/files/mime9ad434b.patch
new file mode 100644
index 00000000000..5e37216f384
--- /dev/null
+++ b/dev-python/webhelpers/files/mime9ad434b.patch
@@ -0,0 +1,14 @@
+https://bitbucket.org/bbangert/webhelpers/commits/9ad434bec9a16c06c1cfeed38cde02f00a95685d
+diff -ur WebHelpers-1.3.orig/webhelpers/mimehelper.py WebHelpers-1.3/webhelpers/mimehelper.py
+--- webhelpers/mimehelper.py 2010-11-18 12:34:33.000000000 +0800
++++ webhelpers/mimehelper.py 2013-06-17 15:45:40.603257640 +0800
+@@ -110,8 +110,7 @@
+ if '.' in last_part:
+ has_extension = True
+ if 'HTTP_ACCEPT' in self.env:
+- possible_from_accept_header = webob.acceptparse.MIMEAccept('ACCEPT',
+- self.env['HTTP_ACCEPT'])
++ possible_from_accept_header = webob.acceptparse.MIMEAccept(self.env['HTTP_ACCEPT'])
+ if has_extension == False:
+ if possible_from_accept_header is None:
+ return self._set_response_content_type(content_type)
diff --git a/dev-python/webhelpers/metadata.xml b/dev-python/webhelpers/metadata.xml
new file mode 100644
index 00000000000..b1cf2fcc4fd
--- /dev/null
+++ b/dev-python/webhelpers/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>python</herd>
+ <upstream>
+ <remote-id type="pypi">WebHelpers</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/webhelpers/webhelpers-1.3-r1.ebuild b/dev-python/webhelpers/webhelpers-1.3-r1.ebuild
new file mode 100644
index 00000000000..8f3b4a5b6dc
--- /dev/null
+++ b/dev-python/webhelpers/webhelpers-1.3-r1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1
+
+MY_PN="WebHelpers"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Web Helpers"
+HOMEPAGE="http://webhelpers.groovie.org/ http://pypi.python.org/pypi/WebHelpers"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="doc test"
+
+RDEPEND=">=dev-python/markupsafe-0.9.2[${PYTHON_USEDEP}]
+ dev-python/webob[${PYTHON_USEDEP}]
+ dev-python/routes[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+
+S="${WORKDIR}/${MY_P}"
+
+python_prepare_all() {
+ # https://bitbucket.org/bbangert/webhelpers/issue/67
+ sed \
+ -e '/import datetime/a import os' \
+ -e 's:"/tmp/feed":os.environ.get("TMPDIR", "/tmp") + "/feed":' \
+ -i tests/test_feedgenerator.py || die "sed failed"
+
+ epatch "${FILESDIR}"/mime9ad434b.patch
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ use doc && emake html -C docs
+}
+
+python_test() {
+ nosetests || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ if use doc; then
+ pushd docs/_build/html > /dev/null
+ docinto html
+ insinto /usr/share/doc/${PF}/html
+ doins -r [a-z]* _static || die "Installation of documentation failed"
+ popd > /dev/null
+ fi
+ distutils-r1_python_install_all
+}